package com.demo.wjj.converter;

import com.demo.wjj.bo.DiggerOfferSaveBo;
import com.demo.wjj.qo.SaveDiggerOfferQo;
import org.springframework.stereotype.Component;

/**
 * @author wangqing
 * @date 2018.11.20
 */
@Component
public class SaveDiggerOfferConverter implements BaseConverter<SaveDiggerOfferQo, DiggerOfferSaveBo> {

    @Override
    public DiggerOfferSaveBo convert(SaveDiggerOfferQo source) {
        DiggerOfferSaveBo diggerOfferSaveBo = new DiggerOfferSaveBo();

        diggerOfferSaveBo.setAgentId(source.getAgentId());
        diggerOfferSaveBo.setOpenId(source.getOpenId());
        diggerOfferSaveBo.setDisplaceId(source.getDisplaceId());
        diggerOfferSaveBo.setOrderNo(source.getOrderNo());
        diggerOfferSaveBo.setPrice(Double.parseDouble(source.getPrice()));
        diggerOfferSaveBo.setWatchLocate(source.getWatchLocate());

        return diggerOfferSaveBo;
    }
}
