package com.demo.wjj.converter;

import com.demo.wjj.bo.SaveOfferUserBo;
import com.demo.wjj.qo.SaveOfferUserQo;
import com.demo.wjj.utils.IntegerUtils;
import org.springframework.stereotype.Component;

/**
 * @author wangqing
 * @date 2018.11.26
 */
@Component
public class SaveOfferUserConverter implements BaseConverter<SaveOfferUserQo, SaveOfferUserBo> {

    @Override
    public SaveOfferUserBo convert(SaveOfferUserQo source) {

        SaveOfferUserBo saveOfferUserBo = new SaveOfferUserBo();

        if (source == null) {
            return saveOfferUserBo;
        }

        saveOfferUserBo.setAgentId(source.getAgentId());
        saveOfferUserBo.setDisplaceId(source.getDisplaceId());
        saveOfferUserBo.setMobile(source.getMobile());
        saveOfferUserBo.setName(source.getName());
        saveOfferUserBo.setOpenId(source.getOpenId());
        /* 手机端用户不能设置通票 wangqing 201811302208
        saveOfferUserBo.setTp(IntegerUtils.toInt(source.getTp()));
        */
        return saveOfferUserBo;
    }
}
