package com.demo.wjj.controller;

import org.junit.Test;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.*;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.*;

/**
 * @author wangqing
 * @date 2018.11.10
 */
public class BrandControllerTest extends BaseTest {

    @Test
    public void getBrands() throws Exception {
        this.mockMvc.perform(get("/brand/getBrands"))
                .andExpect(status().isOk())
                .andExpect(jsonPath("$.data.length()").value(5))
                .andExpect(jsonPath("$.data[0].name").value("斗山"))
                .andExpect(jsonPath("$.data[0].id").value(1))
                .andExpect(jsonPath("$.data[1].name").value("小松"));
    }
}