package com.demo.wjj.controller;

import org.junit.Ignore;
import org.junit.Test;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.*;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.*;
/**
 * @author wangqing
 * @date 2018.11.18
 */
public class DiggerAgentDisplaceControllerTest extends BaseTest {

    private String agentId = "aaabbb";

    private String openId = "opeonId";

    @Ignore
    @Test
    public void queryWait() throws Exception {
        mockMvc.perform(get("/diggerDisplace/queryWait")
                .param("agentId", agentId)
                .param("openId", openId))
                .andExpect(status().isOk());
    }

    @Ignore
    @Test
    public void queryDoing() {
    }

    @Ignore
    @Test
    public void queryEnding() {
    }

    @Ignore
    @Test
    public void queryMy() {
    }

    @Ignore
    @Test
    public void queryDetails() throws Exception {
        mockMvc.perform(get("/diggerDisplace/getDetails")
                .param("id", "4553694c247a464f85db9ee82a519fdf"))
                .andExpect(status().isOk());
    }

    @Test
    public void queryOfferDetails() throws Exception {
        mockMvc.perform(get("/diggerDisplace/getOfferDetails")
                .param("id", "4553694c247a464f85db9ee82a519fdf")
                .param("openId", "testOpenId"))
                .andExpect(status().isOk());
    }
}