package com.demo.wjj.controller;

import org.junit.Ignore;
import org.junit.Test;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.*;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.*;

/**
 * @author wangqing
 * @date 2018.11.15
 */
public class PayControllerTest extends BaseTest {

    @Ignore
    @Test
    public void createOrder() throws Exception {
        mockMvc.perform(post("/pay/createOrder")
                .param("productId", "testProductId")
                .param("agentId", "aaabbb")
                .param("openId", "oUpF8uMuAJO_M2pxb1Q9zNjWeS6o"))
                .andExpect(status().isOk())
                .andExpect(jsonPath("$.code").value("1"));
    }

    @Ignore
    @Test
    public void getOrderStatus() throws Exception {
        mockMvc.perform(get("/pay/getOrderStatus").param("orderNo", "aaabbb20181118152123CS00370662"))
                .andExpect(status().isOk())
                .andExpect(jsonPath("$.data.success").value("1"));


    }

    @Test
    public void refundCallback() throws Exception {
        mockMvc.perform(post("/pay/refund/11111/callback").content("<xml>"))
                .andExpect(status().isOk())
                .andExpect(jsonPath("$.data.success").value("1"));
    }
}