package com.demo.wjj.controller;

import org.junit.Test;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.*;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.*;
/**
 * @author wangqing
 * @date 2018.11.09
 */
public class SmsControllerTest extends BaseTest {

    @Test
    public void register() throws Exception {
        final String mobile = "13695604981";
        this.mockMvc.perform(get("/sms/register").param("mobile", mobile))
                .andExpect(status().isOk())
                .andExpect(jsonPath("$.code").value(1));
    }
}