package com.demo.wjj.bo;

import com.alibaba.fastjson.JSON;

import java.util.HashMap;
import java.util.Map;

/**
 * @author wangqing
 * @date 2018.12.01
 */
public class JsSdkResult {

    /**
     * appId
     */
    private String appId;

    /**
     * 时间戳(秒)
     */
    private String timestamp;

    /**
     * 随机数
     */
    private String nonceStr;

    /**
     * 签名
     */
    private String signature;

    /**
     * 票据
     */
    private String ticket;

    /**
     * 请求url
     */
    private String url;

    /**
     * 获取请求参数
     * @return 请求参数
     */
    public Map<String, String> createRequestParameters() {
        Map<String, String> parameters = new HashMap<>();
        parameters.put("timestamp", timestamp);
        parameters.put("noncestr", nonceStr);
        parameters.put("jsapi_ticket", ticket);
        parameters.put("url", url);
        return parameters;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppId() {
        return appId;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setNonceStr(String nonceStr) {
        this.nonceStr = nonceStr;
    }

    public String getNonceStr() {
        return nonceStr;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public String getSignature() {
        return signature;
    }

    public String getTicket() {
        return ticket;
    }

    public void setTicket(String ticket) {
        this.ticket = ticket;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
}
