package com.demo.wjj.mapper;

import com.demo.wjj.po.DiggerAgentAddress;

import java.util.List;

public interface DiggerAgentAddressMapper {
    /**
     * 保存车商收货人地址
     * @param diggerAgentAddress
     * @return
     */
    boolean insert(DiggerAgentAddress diggerAgentAddress);

    /**
     * 遍历车商收货人地址
     * @return
     */
    List<DiggerAgentAddress> select();

    /**
     * 通过userId查询地址
     * @param userId
     * @return
     */
    DiggerAgentAddress selectOne(String userId);

    /**
     * 通过userId删除数据
     * @param userId
     * @return
     */
    int delete(String userId);
}
