package com.demo.wjj.po;

public class IntegralRecord {
    /**
     * 标识符
     */
    private Integer id;
    /**
     * 礼品名称
     */
    private String presentName;
    /**
     * 车商用户名
     */
    private String userName;
    /**
     * 会员等级
     */
    private Integer memberLevel;
    /**
     * 手机号码
     */
    private String phone;
    /**
     * 收件地址
     */
    private String address;
    /**
     * 兑换时间
     */
    private String exchangeTime;
    /**
     * 车商id
     */
    private String userId;
    /**
     * 兑换消费积分
     */
    private Integer integral;
    /**
     * 兑换此消费金额
     */
    private Integer price;
    /**
     * 添加人的id
     */
    private String addId;
    /**
     * 代理商名字
     */
    private String agentName;
    /**
     * 礼品图片
     */
    private String imageUrl;
    /**
     * 礼品id
     */
    private Integer presentId;

    /**
     * 用户类型：1，车商（默认值）；2，销售员
     */
    private Integer userType;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getPresentName() {
        return presentName;
    }

    public void setPresentName(String presentName) {
        this.presentName = presentName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getMemberLevel() {
        return memberLevel;
    }

    public void setMemberLevel(Integer memberLevel) {
        this.memberLevel = memberLevel;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getExchangeTime() {
        return exchangeTime;
    }

    public void setExchangeTime(String exchangeTime) {
        this.exchangeTime = exchangeTime;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Integer getIntegral() {
        return integral;
    }

    public void setIntegral(Integer integral) {
        this.integral = integral;
    }

    public Integer getPrice() {
        return price;
    }

    public void setPrice(Integer price) {
        this.price = price;
    }

    public String getAddId() {
        return addId;
    }

    public void setAddId(String addId) {
        this.addId = addId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public Integer getPresentId() {
        return presentId;
    }

    public void setPresentId(Integer presentId) {
        this.presentId = presentId;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }
}
