package com.demo.wjj.po;

/**
 * 区域
 * @author wangqing
 * @date 2018.11.08
 */
public class Region extends BasePo {

    /**
     * 区域类型 - 省份
     */
    public static final int REGION_TYPE_PROVINCE = 1;

    /**
     * 区域类型 - 地市
     */
    public static final int REGION_TYPE_CITY = 2;

    /**
     * 区域类型 - 区县
     */
    public static final int REGION_TYPE_COUNTY = 3;

    /**
     * id
     */
    private Integer id;

    /**
     * 名称
     */
    private String name;

    /**
     * 区域类型
     */
    private Integer regionType;

    /**
     * 父级区域id
     */
    private Integer parentId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getRegionType() {
        return regionType;
    }

    public void setRegionType(Integer regionType) {
        this.regionType = regionType;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }
}
