package com.demo.wjj.po;

import java.util.Date;

/**
 * 销售
 * @author wangqing
 * @date 2018.11.10
 */
public class Sale extends BasePo {

    /**
     * 注册状态 - 绑定
     */
    public static final String REGISTER_STATUS_BINDED = "1";

    /**
     * 注册状态 - 未绑定
     */
    public static final String REGISTER_STAUTS_UNBINDING = "0";

    /**
     * 商家操作 - 显示
     */
    public static final String AGENT_OPERATE_SHOW = "1";

    /**
     * 商家操作 - 关闭
     */
    public static final String AGENT_OPERATE_CLOSE = "0";

    /**
     * id
     */
    private String id;

    /**
     * 商家id
     */
    private String agentId;

    /**
     * 商家名称
     */
    private String agentName;

    /**
     * 销售员id
     */
    private String saleId;

    /**
     * 姓名
     */
    private String saleName;

    /**
     * 手机号
     */
    private String salePhone;

    /**
     * 微信昵称
     */
    private String saleWxnc;

    /**
     * 微信号
     */
    private String saleWxh;

    /**
     * 加入渠道
     */
    private String saleChannel;

    /**
     * 提报台数
     */
    private Integer tbCount;

    /**
     * 注册状态
     */
    private String registerStatus;

    /**
     * 商家操作状态
     */
    private String agentOpt;

    /**
     * 微信openId
     */
    private String wxOpenId;

    /**
     * 代理品牌id
     */
    private String agentBrandids;

    /**
     * 代理品牌名称
     */
    private String agentBrandNames;

    /**
     * 区域id
     */
    private String agentAreaIds;

    /**
     * 区域name
     */
    private String agentAreaNames;

    /**
     * 注册时间
     */
    private Date registeDate;

    /**
     * icegan--新增，会员等级字段
     */
    private Integer memberLevel;

    private Integer integral;

    private String platTpSet;

    private Integer deposit;

    public Date getRegisteDate() {
        return registeDate;
    }

    public void setRegisteDate(Date registeDate) {
        this.registeDate = registeDate;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getSaleId() {
        return saleId;
    }

    public void setSaleId(String saleId) {
        this.saleId = saleId;
    }

    public String getSaleName() {
        return saleName;
    }

    public void setSaleName(String saleName) {
        this.saleName = saleName;
    }

    public String getSalePhone() {
        return salePhone;
    }

    public void setSalePhone(String salePhone) {
        this.salePhone = salePhone;
    }

    public String getSaleWxnc() {
        return saleWxnc;
    }

    public void setSaleWxnc(String saleWxnc) {
        this.saleWxnc = saleWxnc;
    }

    public String getSaleWxh() {
        return saleWxh;
    }

    public void setSaleWxh(String saleWxh) {
        this.saleWxh = saleWxh;
    }

    public String getSaleChannel() {
        return saleChannel;
    }

    public void setSaleChannel(String saleChannel) {
        this.saleChannel = saleChannel;
    }

    public Integer getTbCount() {
        return tbCount;
    }

    public void setTbCount(Integer tbCount) {
        this.tbCount = tbCount;
    }

    public String getRegisterStatus() {
        return registerStatus;
    }

    public void setRegisterStatus(String registerStatus) {
        this.registerStatus = registerStatus;
    }

    public String getAgentOpt() {
        return agentOpt;
    }

    public void setAgentOpt(String agentOpt) {
        this.agentOpt = agentOpt;
    }

    public String getWxOpenId() {
        return wxOpenId;
    }

    public void setWxOpenId(String wxOpenId) {
        this.wxOpenId = wxOpenId;
    }

    public String getAgentBrandids() {
        return agentBrandids;
    }

    public void setAgentBrandids(String agentBrandids) {
        this.agentBrandids = agentBrandids;
    }

    public String getAgentBrandNames() {
        return agentBrandNames;
    }

    public void setAgentBrandNames(String agentBrandNames) {
        this.agentBrandNames = agentBrandNames;
    }

    public String getAgentAreaIds() {
        return agentAreaIds;
    }

    public void setAgentAreaIds(String agentAreaIds) {
        this.agentAreaIds = agentAreaIds;
    }

    public String getAgentAreaNames() {
        return agentAreaNames;
    }

    public void setAgentAreaNames(String agentAreaNames) {
        this.agentAreaNames = agentAreaNames;
    }

    public Integer getMemberLevel() {
        return memberLevel;
    }

    public void setMemberLevel(Integer memberLevel) {
        this.memberLevel = memberLevel;
    }

    public Integer getIntegral() {
        return integral;
    }

    public void setIntegral(Integer integral) {
        this.integral = integral;
    }

    public String getPlatTpSet() {
        return platTpSet;
    }

    public void setPlatTpSet(String platTpSet) {
        this.platTpSet = platTpSet;
    }

    public Integer getDeposit() {
        return deposit;
    }

    public void setDeposit(Integer deposit) {
        this.deposit = deposit;
    }
}
