package com.demo.wjj.po;

import com.alibaba.fastjson.JSON;

import java.util.Date;

/**
 * 微信第三方平台回调票据
 * <p>
 *     微信第三方平台回调票据
 *
 * @author wangqing
 * @date 2019/02/03
 */
public class WeiXinTicket {

    /**
     * 主键
     */
    private Integer id;

    /**
     * 第三方平台appId
     */
    private String appId;

    /**
     * 回调票据
     */
    private String ticket;

    /**
     * 修改时间
     */
    private Date modifyTime;

    public WeiXinTicket() {}

    public WeiXinTicket(String appId, String ticket) {
        this(appId, ticket, new Date());
    }

    public WeiXinTicket(String appId, String ticket, Date modifyTime) {
        setAppId(appId);
        setTicket(ticket);
        setModifyTime(modifyTime);
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getTicket() {
        return ticket;
    }

    public void setTicket(String ticket) {
        this.ticket = ticket;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }
}
