package com.demo.wjj.service;

import com.demo.wjj.po.AttrContent;

import java.util.List;

/**
 * 属性内容
 * @author wangqing
 * @date 2018.11.11
 */
public interface AttrContentService {

    /**
     * 保存属性内容
     * @param attrContentList 属性内容集合
     * @return 保存是否成功
     */
    boolean save(List<AttrContent> attrContentList);

    /**
     * 删除属性内容
     * @param displaceId 置换id
     * @return 删除是否成功
     */
    boolean deleteAttrContents(String displaceId);

    /**
     * 查询属性内容
     * @param displaceIdList 置换id集合
     * @return 属性内容集合
     */
    List<AttrContent> queryAttrContentList(List<String> displaceIdList);
}
