package com.demo.wjj.service;

import com.demo.wjj.po.Authentication;

/**
 * 车商认证
 * @author wangyandeng
 * @date 2019.06.10
 */
public interface AuthenticationService {
    /**
     * 保存车商认证内容
     * @param authentication
     * @return
     */
    boolean save(Authentication authentication);

    /**
     * 查询车商审核
     * @param id 标识符
     * @return
     */
    Authentication selectOne(String id);

    /**
     * 查询车商审核记录
     * @param userId
     * @return
     */
    Authentication selectByUserId(String userId);

    /**
     * 删除车商审核记录
     * @param userId
     * @return
     */
    int delete(String userId);
}
