package com.demo.wjj.service;

import com.demo.wjj.po.Agent;
import com.demo.wjj.po.Explain;
import com.demo.wjj.po.UserInfo;
import com.demo.wjj.utils.ApiResult;

import java.util.List;

public interface CertificationService {

    /**
     * 查询用户信息
     * @return 用户信息
     */
    UserInfo getUserInfo(String idCard,String status);
    List<UserInfo> getUserInfoByAgent(String status,String agentId);
    UserInfo getUserInfoByAgentAndOpenId(String status,String agentId,String openId);
    UserInfo getUserInfoBySaleId(String agentId,String openId);

    int deleteUserInfo(String idCard);

    ApiResult getUserVerifycation(UserInfo userInfo,
                                  Agent agent,
                                  String url,String verifyOpenId,String appId);

    ApiResult checkIdCardVerification(String url,String img);

    ApiResult bankCardVerification(String url);

    ApiResult getExplainInfo();
    ApiResult saveUserInfo(UserInfo info);
    ApiResult sendUserVerification(String status,String reviewComments,String openId,Agent agent,String idCard,String appId);
    ApiResult getUserVerificationList(String status);
    int updateUserInfoByIdCard(String status, String idCard);
}
