package com.demo.wjj.service;

import com.demo.wjj.bo.DisplaceDetailBo;
import com.demo.wjj.bo.DisplaceListBo;

import java.util.List;

/**
 * 置换组装
 * @author wangqing
 * @date 2018.11.17
 */
public interface DisplaceAssemblyService {

    /**
     * 组装列表属性内容
     * @param displaceListBos 置换列表
     */
    void assembleListAttrContent(List<DisplaceListBo> displaceListBos);

    /**
     * 组装置换详情
     * @param id 置换id
     * @param displaceDetailBo 置换详情
     */
    void assembleDetails(String id, DisplaceDetailBo displaceDetailBo);
}
