package com.demo.wjj.service;

import com.demo.wjj.bo.SaveOfferUserBo;
import com.demo.wjj.po.DisplaceOfferUser;

/**
 * @author wangqing
 * @date 2018.11.25
 */
public interface DisplaceOfferUserService {

    /**
     * 保存置换报价用户信息
     * @param displaceOfferUser 置换报价用户信息
     * @return 保存是否成功
     */
    boolean save(DisplaceOfferUser displaceOfferUser);

    /**
     * 获取最后一次置换报价用户信息
     * @param displaceId 置换id
     * @param diggerAgentId 车商id
     * @return 最后一次置换报价用户信息
     */
    DisplaceOfferUser getLastOfferUser(String displaceId, String diggerAgentId);

    /**
     * 保存置换报价用户信息
     * @param saveOfferUserBo 保存报价用户信息
     * @return 保存是否成功
     */
    boolean save(SaveOfferUserBo saveOfferUserBo);
}
