package com.demo.wjj.service;

import com.demo.wjj.bo.ImgListBo;
import com.demo.wjj.po.ImgList;

import java.util.List;

/**
 * 图片目录
 * @author wangqing
 * @date 2018.11.12
 */
public interface ImgListService {

    /**
     * 手机端置换列表
     * @return 手机端置换列表
     */
    List<ImgList> queryMobileDisplaceList();

    /**
     * 查询所有置换图片列表
     * @return 置换图片列表
     */
    List<ImgList> queryAllDisplaceList();


    /**
     * 根据大分类id获取小分类列表
     * @return
     * @param listOrder
     */
    List<ImgListBo> getMobileImgList(Integer listOrder);

}
