package com.demo.wjj.service;

/**
 * 微信token管理
 * @author wangqing
 * @date 2018.12.01
 */
public interface TokenManage {

    /**
     * 获取accessToken
     * @param appId appId
     * @param appSecret appSecret
     * @return accessToken
     */
    String getAccessToken(String appId, String appSecret);

    /**
     * 请求 accessToken
     * @param appId appId
     * @param appSecret appSecret
     * @return accessToken
     */
    String requestAccessToken(String appId, String appSecret);
}
