package com.demo.wjj.service;

/**
 * 验证码服务
 * @author wangqing
 * @date 2018.11.09
 */
public interface ValidateCodeService {

    /**
     * 发送验证码
     * @param mobile 手机号
     * @return 发送是否成功
     */
    boolean send(String mobile);

    /**
     * 验证
     * @param mobile 手机号
     * @param code 验证码
     * @return 发送是否成功
     */
    boolean validate(String mobile, String code);
}
