package com.demo.wjj.service;

import com.demo.wjj.po.WeiXinPlatformAuthorization;

import java.util.List;

/**
 * 微信第三方平台授权方信息
 * <p>
 *
 * @author wangqing
 * @date 2019/02/04
 */
public interface WeiXinPlatformAuthorizationService {

    boolean save(WeiXinPlatformAuthorization weiXinPlatformAuthorization);

    List<WeiXinPlatformAuthorization> getPlatformAuthorization();

    /**
     * 更新accessToken和refreshToken
     * @param authorizationAppId 授权方appId
     * @param accessToken accessToken
     * @param refreshToken refreshToken
     * @return 更新是否成功
     */
    boolean updateAccessTokenAndRefreshToken(String authorizationAppId, String accessToken, String refreshToken);
}
