package com.demo.wjj.service.impl;

import com.demo.wjj.mapper.AgreementMapper;
import com.demo.wjj.mapper.CreditsExchangeMapper;
import com.demo.wjj.po.Agree;
import com.demo.wjj.service.AgreementService;
import com.demo.wjj.utils.ApiResult;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AgreementServiceImpl implements AgreementService {

    private final Logger LOG = LoggerFactory.getLogger(getClass());
    @Autowired
    AgreementMapper agreementMapper;

    @Override
    public ApiResult getInfo() {
        List<Agree> explain=agreementMapper.getInfo();
        LOG.info("explain="+explain+"***"+explain.size());
        ApiResult<Agree> apiResult = ApiResult.createSuccess(explain.get(0));
        LOG.info("apiResult="+apiResult);
        return apiResult;
    }
}
