package com.demo.wjj.service.impl;


import com.demo.wjj.mapper.PlayBillMapper;
import com.demo.wjj.po.Playbill;
import com.demo.wjj.service.PlaybillService;
import com.demo.wjj.service.QiNiuService;
import com.demo.wjj.utils.ApiResult;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class PlaybillServiceImpl implements PlaybillService {

    private final Logger LOG = LoggerFactory.getLogger(getClass());

    @Autowired
    private PlayBillMapper playbillMapper;

    @Autowired
    private QiNiuService qiNiuService;

    @Override
    public ApiResult selectPlaybill() {
        LOG.info("Playbill=");
        List<Playbill> list=playbillMapper.selectPlaybillList();
        for(Playbill playbill:list){
            playbill.setUrl(qiNiuService.getUrl(playbill.getUrl()));
        }
        ApiResult<List<Playbill>> apiResult = ApiResult.createSuccess(list);
        LOG.info("apiResult="+apiResult);
        return apiResult;
    }
}
