package com.demo.wjj.service.impl;

import com.demo.wjj.mapper.PresentMapper;
import com.demo.wjj.po.Present;
import com.demo.wjj.service.PresentService;
import com.demo.wjj.utils.CommitTransactional;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class PresentServiceImpl implements PresentService {
    @Autowired
    private PresentMapper presentMapper;

    /**
     * 查询礼品表所有信息
     * @return
     */
    @Override
    public List<Present> selectPresentList(String userId) {
        return presentMapper.selectPresentList(userId);
    }

    @Override
    public Present selectPresent(Integer id) {
        return presentMapper.selectPresent(id);
    }

    @Override
    @CommitTransactional
    public boolean updateStore(Integer id, Integer store) {
        boolean result = presentMapper.updateStore(id,store)>0;
        return result;
    }
}
