package com.demo.wjj.service.impl;

import com.demo.wjj.bo.TbQuoteProtocolBo;
import com.demo.wjj.mapper.QuoteProtocolMapper;
import com.demo.wjj.service.QuoteProtocolService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 商家
 * @author wangqing
 * @date 2018.11.11
 */
@Service
public class QuoteProtocolServiceImpl implements QuoteProtocolService {

    private final Logger LOG = LoggerFactory.getLogger(getClass());

    @Autowired
    private QuoteProtocolMapper quoteProtocolMapper;

    @Override
    public TbQuoteProtocolBo findQuoteProtocolByType(int type) {
        return quoteProtocolMapper.findQuoteProtocolByType(type);

    }
}
