package com.demo.wjj.service.impl;

import com.demo.wjj.mapper.TbImgItemMapper;
import com.demo.wjj.po.ImgItem;
import com.demo.wjj.po.TbImgItem;
import com.demo.wjj.service.TbImgItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TbImgItemServiceImpl implements TbImgItemService {

    @Autowired
    private TbImgItemMapper tbImgItemMapper;

    @Override
    public TbImgItem findOne(Integer detailId) {

        return tbImgItemMapper.findOne(detailId);
    }
    @Override
    public List<ImgItem> selectAll(int type) {
        List<ImgItem> tbImgItemList = tbImgItemMapper.selectAll(type);
        if(tbImgItemList!=null){
            for (int i = 0; i < tbImgItemList.size(); i++) {
                ImgItem imgItem = tbImgItemList.get(i);
                Integer imgBqId = imgItem.getImgBqId();
                List list = tbImgItemMapper.selectImamlNameList(type, imgBqId);
                imgItem.setList(list);
            }
        }
        return tbImgItemList;
    }
}
