package com.demo.wjj.utils;

import org.springframework.transaction.annotation.Transactional;

import java.lang.annotation.*;

/**
 * 只读型事务
 * @author wangqing
 * @date 2018.11.08
 */
@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Inherited
@Documented
@Transactional(readOnly = true, rollbackFor = Exception.class)
public @interface ReadOnlyTransactional {
}
