package com.demo.wjj.service;

import com.demo.wjj.po.Demo;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import static org.junit.Assert.*;

/**
 * demo test
 * @author wangqing
 * @date 2018.11.08
 */
public class DemoServiceTest extends BaseTest {

    @Autowired
    private DemoService demoService;

    @Transactional
    @Test
    public void testGet() {
        final Demo demo = demoService.get(1);
        assertNotNull(demo);
        assertSame(1, demo.getId());
        assertEquals("hello", demo.getName());
    }
}