package com.demo.wjj.service.impl;

import com.demo.wjj.service.BaseTest;
import com.demo.wjj.service.DiggerAgentDisplaceManageService;
import com.demo.wjj.utils.PageBean;
import org.junit.Before;
import org.junit.Ignore;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author wangqing
 * @date 2018.11.18
 */
public class DiggerAgentDisplaceManageServiceImplTest extends BaseTest {

    @Autowired
    private DiggerAgentDisplaceManageService diggerAgentDisplaceManageService;

    private String agentId = "XJY00";

    private String openId = "oEftX0vW8G1UYCYYkLBxLwQHFS0o";

    private PageBean pageBean = new PageBean();

    @Before
    public void setup() {
        pageBean.setPageNum(1);
        pageBean.setPageSize(15);
    }

    @Ignore
    @Test
    public void queryWaitingList() {
        diggerAgentDisplaceManageService.queryWaitingList(agentId, openId, pageBean);
    }

    @Ignore
    @Test
    public void queryDoingList() {
        diggerAgentDisplaceManageService.queryDoingList(agentId, openId, pageBean);
    }

    @Ignore
    @Test
    public void queryEndList() {
//        diggerAgentDisplaceManageService.queryEndList(date,agentId, openId, pageBean);
    }

    @Ignore
    @Test
    public void queryMyList() {
        diggerAgentDisplaceManageService.queryMyList(agentId, openId, pageBean);
    }

    @Test
    public void queryDetails() {
        diggerAgentDisplaceManageService.queryDetails("40f8b7c767a24364b6e8a3af2db7a33b");
    }

    @Ignore
    @Test
    public void queryOfferDetails() {
        diggerAgentDisplaceManageService.queryOfferDetails("4553694c247a464f85db9ee82a519fdf", null, "testOpenId");
    }

    @Ignore
    @Transactional
    @Test
    public void lookTimes() {
        diggerAgentDisplaceManageService.incrementLookTimes("955c9943a7134ff79895d6b46089f2e5");
    }
}
