package com.demo.wjj.controller;

import org.junit.Ignore;
import org.junit.Test;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.*;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.*;

/**
 * @author wangqing
 * @date 2018.11.13
 */
public class DisplaceControllerTest extends BaseTest {

    @Ignore
    @Test
    public void save() throws Exception {
        this.mockMvc.perform(post("/displace/save")
//                .param("displaceId", "232f3f9f226944a391ebf47e418b7025")
                .param("agentId", "aaabbb11")
                .param("openId", "wxopenid11")
                .param("brand", "小松")
                .param("model", "M-101")
                .param("hours", "500")
                .param("yearMonth", "2013年5月")
                .param("provinceId", "1")
                .param("cityId", "3")
                .param("countyId", "8")
                .param("deviceType", "DT01")
                .param("config", "CI02")
                .param("jobResume", "JR01")
                .param("ticket", "1,2")
                .param("mobile", "13695604981")
                .param("name", "martin")
                .param("other", "不包邮")
                .param("picture", "[{'code': 'mechanical_nameplate', 'pic': ['http://www.baidu.com/1.jpg']}, {'code': 'machine_picture_side', 'pic': ['http://www.baidu.com/2.jpg']}]")
        )
            .andExpect(status().isOk())
            .andExpect(jsonPath("$.code").value("1"));
    }

    @Ignore
    @Test
    public void queryUndoList() throws Exception {
        mockMvc.perform(get("/displace/queryUndoList")
                .param("agentId", "aaabbb")
                .param("openId", "oUpF8uMuAJO_M2pxb1Q9zNjWeS6o"))
                .andExpect(status().isOk());
    }

    @Ignore
    @Test
    public void queryDoneList() throws Exception {
        mockMvc.perform(get("/displace/queryDoneList")
                .param("agentId", "aaabbb")
                .param("openId", "oUpF8uMuAJO_M2pxb1Q9zNjWeS6o"))
                .andExpect(status().isOk());
    }

    @Ignore
    @Test
    public void getDetails() throws Exception {
        mockMvc.perform(get("/displace/getDetails")
                .param("id", "4553694c247a464f85db9ee82a519fdf"))
                .andExpect(status().isOk());
    }

    @Ignore
    @Test
    public void queryRejectedCount() throws Exception {
        mockMvc.perform(get("/displace/queryRejectedCount")
                .param("agentId", "aaa")
                .param("openId", "aaa"))
                .andExpect(status().isOk());
    }

//    {
//        "agentId": "ZHXTCS",
//            "auditStatus": "1",
//            "displaceId": "ZHXTCS-ZH0010",
//            "endTime": 1567180800000,
//            "id": "400642fd08194452b076b45456a9494e",
//            "minMoney": 0,
//            "persist_price": 2,
//            "startTime": 1566921600000,
//            "timeDelay": 2
//    }
    @Test
    public void judge() throws Exception {
        mockMvc.perform(get("/displace/judge")
                .param("displaceId", "ZHXTCS-ZH0010"))
                .andExpect(status().isOk());
    }

    @Test
    public void getDisplaceGoodBuyList() throws Exception {
        mockMvc.perform(get("/displace/getDisplaceGoodBuyList")
                .param("openId", "o5C8F1R066yPe4DcKa2h4fADR8K4")
                .param("agentId", "ZHXTCS")
                .param("type", "4"))
                .andExpect(status().isOk());
    }

    @Test
    public void getDisplaceConfirmList() throws Exception {
        mockMvc.perform(get("/displace/getDisplaceConfirmList")
                .param("openId", "o5C8F1R066yPe4DcKa2h4fADR8K4")
                .param("agentId", "ZHXTCS"))
                .andExpect(status().isOk());
    }

    @Test
    public void getDisplaceDeposit() throws Exception {
        mockMvc.perform(get("/displace/getDisplaceDeposit")
                .param("displaceId", "ZHXTCS-ZH0203"))
                .andExpect(status().isOk());
    }
}