package com.demo.wjj.controller;

import org.junit.Test;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.*;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.*;

/**
 * @author wangqing
 * @date 2018.11.26
 */
public class DisplaceOfferUserControllerTest extends BaseTest {

    @Test
    public void save() throws Exception {
        mockMvc.perform(post("/displaceOfferUser/save")
                .param("agentId", "zh520")
                .param("openId", "11")
                .param("displaceId", "ZH1000")
                .param("mobile", "13695604981")
                .param("name", "martin"))
                .andExpect(status().isOk())
                .andExpect(jsonPath("$.code").value("1"));
    }
}