package com.demo.wjj.controller;

import org.junit.Test;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.*;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.*;

/**
 * @author wangqing
 * @date 2018.11.12
 */
public class ImgListControllerTest extends BaseTest {

    @Test
    public void getMobileDisplaceList() throws Exception {
        this.mockMvc.perform(get("/imglist/getDisplaceList"))
                .andExpect(status().isOk())
                .andExpect(jsonPath("$.data.length()").value(5))
                .andExpect(jsonPath("$.data[2].listCode").value("big_small_connection"))
                .andExpect(jsonPath("$.data[2].listName").value("大小臂连接+小臂油缸全景"));
    }
}