package com.demo.wjj.controller;

import org.junit.Ignore;
import org.junit.Test;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.*;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.*;
/**
 * @author wangqing
 * @date 2018.11.18
 */
public class OfferControllerTest extends BaseTest {

    @Ignore
    @Test
    public void queryDiggerOffer() throws Exception {
        mockMvc.perform(get("/offer/getDiggerOffer")
                .param("agentId", "aaabbb")
                .param("openId", "oEftX0oFlyEvoP6AR0JbjSm_LQCc")
                .param("displaceId", "ZH0003"))
                .andExpect(status().isOk())
                .andExpect(jsonPath("$.code").value("1"));
    }

    @Test
    public void save() throws Exception {
        mockMvc.perform(post("/offer/save")
                .param("agentId", "aaabbb")
                .param("openId", "testOpenId")
                .param("displaceId", "ZH0003")
                .param("price", "50")
                .param("watchLocate", "1"))
                .andExpect(status().isOk());
    }
}