package com.demo.wjj.bo;

import com.alibaba.fastjson.JSON;
import com.qiniu.util.Json;

import java.util.HashMap;
import java.util.Map;

/**
 * 创建订单结果
 *
 * @author wangqing
 * @date 2018.11.13
 */
public class CreateOrderResult {

    /**
     * 公众号id
     */
    private String appId;

    /**
     * 时间戳
     */
    private String timeStamp;

    /**
     * 随机字符串
     */
    private String nonceStr;

    /**
     * 订单详情扩展字符串
     */
    private String packageStr;

    /**
     * 签名类型
     */
    private String signType;

    /**
     * 签名
     */
    private String paySign;

    /**
     * 订单编号
     */
    private String orderNo;

    public Map<String, String> createRequestParameter() {
        Map<String, String> parameter = new HashMap<>();
        parameter.put("appId", appId);
        parameter.put("timeStamp", timeStamp);
        parameter.put("nonceStr", nonceStr);
        parameter.put("package", packageStr);
        parameter.put("signType", signType);
        return parameter;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getTimeStamp() {
        return timeStamp;
    }

    public void setTimeStamp(String timeStamp) {
        this.timeStamp = timeStamp;
    }

    public String getNonceStr() {
        return nonceStr;
    }

    public void setNonceStr(String nonceStr) {
        this.nonceStr = nonceStr;
    }

    public String getPackageStr() {
        return packageStr;
    }

    public void setPackageStr(String packageStr) {
        this.packageStr = "prepay_id=" + packageStr;
    }

    public String getSignType() {
        return signType;
    }

    public void setSignType(String signType) {
        this.signType = signType;
    }

    public String getPaySign() {
        return paySign;
    }

    public void setPaySign(String paySign) {
        this.paySign = paySign;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }
}
