package com.demo.wjj.bo;

import com.alibaba.fastjson.JSON;
import com.demo.wjj.po.OfferDetail;

import java.util.Date;
import java.util.List;

/**
 * 置换详情
 * @author wangqing
 * @date 2018.11.16
 */
public class DisplaceDetailBo {

    /**
     * id
     */
    private String id;

    /**
     * 置换id
     */
    private String displaceId;

    /**
     * 品牌
     */
    private String brand;

    /**
     * 型号
     */
    private String model;

    /**
     * 小时数
     */
    private String hours;

    /**
     * 出厂年份
     */
    private String yearMonth;

    /**
     * 所在地
     */
    private String location;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 配置说明
     */
    private String config;

    /**
     * 作业履历
     */
    private String jobResume;

    /**
     * 票证说明
     */
    private String ticket;

    /**
     * 姓名
     */
    private String username;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 图片
     */
    private List<PictureItem> pictureItems;

    /**
     * 围观次数
     */
    private Integer lookTimes;

    /**
     * 报价次数
     */
    private Integer offerTimes;

    /**
     * 理想报价
     */
    private String ideaPrice;

    /**
     * 结束时长
     */
    private Long endTimeLength;

    /**
     * 质保说明
     */
    private String warrantyDesc;

    private Date startTime;

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    /**
     * 报价结束时间
     */
    private Date endTime;

    /**
     * 报价状态, 1:未开始;2:进行中;3:已结束
     */
    private Integer offerStatus;

    /**
     * 商家id
     */
    private String agentId;

    /**
     * 最高报价
     */
    private double maxPrice;

    /**
     * 自己最高报价
     */
    private double maxMyPrice;

    /**
     * 报价列表
     */
    private List<OfferDetail> priceList;

    /**
     * 报价幅度
     */
    private String moneyRange;

    /**
     * 起拍价
     */
    private String minMoney;

    /**
     * 联系人姓名
     */
    private String joumalistName;

    /**
     * 联系人手机
     */
    private String joumalistTel;

    /**
     * 其他说明
     */
    private String othersDesc;

    /*
    *
    * 协议类型
    *
    * */
    private String upType;

    /*
    * 是否看现场
    *
    * */
    private Integer isKxc;
    /**
     * 代理商名称
     */
    private String agentName;
    /**
     * 集团名称
     */
    private String groupName;


    /**
     * 是否精品机
     */
    private String is_good;//1-普通2-精品

    /**
     * 是否暂存
     */
    private String storage;//1-完成；2-暂存

    private int min_price;

    private int max_price;

    private int persist_price;

    public String getIs_good() {
        return is_good;
    }

    public void setIs_good(String is_good) {
        this.is_good = is_good;
    }

    public String getStorage() {
        return storage;
    }

    public void setStorage(String storage) {
        this.storage = storage;
    }

    public int getMin_price() {
        return min_price;
    }

    public void setMin_price(int min_price) {
        this.min_price = min_price;
    }

    public int getMax_price() {
        return max_price;
    }

    public void setMax_price(int max_price) {
        this.max_price = max_price;
    }

    public int getPersist_price() {
        return persist_price;
    }

    public void setPersist_price(int persist_price) {
        this.persist_price = persist_price;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }


    public String getUpType() {
        return upType;
    }

    public void setUpType(String upType) {
        this.upType = upType;
    }

    public Integer getIsKxc() {
        return isKxc;
    }
    public void setIsKxc(Integer isKxc) {
        this.isKxc = isKxc;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDisplaceId() {
        return displaceId;
    }

    public void setDisplaceId(String displaceId) {
        this.displaceId = displaceId;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getHours() {
        return hours;
    }

    public void setHours(String hours) {
        this.hours = hours;
    }

    public String getYearMonth() {
        return yearMonth;
    }

    public void setYearMonth(String yearMonth) {
        this.yearMonth = yearMonth;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getConfig() {
        return config;
    }

    public void setConfig(String config) {
        this.config = config;
    }

    public String getJobResume() {
        return jobResume;
    }

    public void setJobResume(String jobResume) {
        this.jobResume = jobResume;
    }

    public String getTicket() {
        return ticket;
    }

    public void setTicket(String ticket) {
        this.ticket = ticket;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public List<PictureItem> getPictureItems() {
        return pictureItems;
    }

    public void setPictureItems(List<PictureItem> pictureItems) {
        this.pictureItems = pictureItems;
    }

    public Integer getLookTimes() {
        return lookTimes;
    }

    public void setLookTimes(Integer lookTimes) {
        this.lookTimes = lookTimes;
    }

    public Integer getOfferTimes() {
        return offerTimes;
    }

    public void setOfferTimes(Integer offerTimes) {
        this.offerTimes = offerTimes;
    }

    public String getIdeaPrice() {
        return ideaPrice;
    }

    public void setIdeaPrice(String ideaPrice) {
        this.ideaPrice = ideaPrice;
    }

    public Long getEndTimeLength() {
        return endTimeLength;
    }

    public void setEndTimeLength(Long endTimeLength) {
        this.endTimeLength = endTimeLength;
    }

    public String getWarrantyDesc() {
        return warrantyDesc;
    }

    public void setWarrantyDesc(String warrantyDesc) {
        this.warrantyDesc = warrantyDesc;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getOfferStatus() {
        return offerStatus;
    }

    public void setOfferStatus(Integer offerStatus) {
        this.offerStatus = offerStatus;
    }

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public void setMaxPrice(double maxPrice) {
        this.maxPrice = maxPrice;
    }

    public double getMaxPrice() {
        return maxPrice;
    }

    public void setMaxMyPrice(double maxMyPrice) {
        this.maxMyPrice = maxMyPrice;
    }

    public double getMaxMyPrice() {
        return maxMyPrice;
    }

    public void setPriceList(List<OfferDetail> priceList) {
        this.priceList = priceList;
    }

    public List<OfferDetail> getPriceList() {
        return priceList;
    }

    public String getMoneyRange() {
        return moneyRange;
    }

    public void setMoneyRange(String moneyRange) {
        this.moneyRange = moneyRange;
    }

    public String getMinMoney() {
        return minMoney;
    }

    public void setMinMoney(String minMoney) {
        this.minMoney = minMoney;
    }

    public void setJoumalistName(String joumalistName) {
        this.joumalistName = joumalistName;
    }

    public String getJoumalistName() {
        return joumalistName;
    }

    public void setJoumalistTel(String joumalistTel) {
        this.joumalistTel = joumalistTel;
    }

    public String getJoumalistTel() {
        return joumalistTel;
    }

    public void setOthersDesc(String othersDesc) {
        this.othersDesc = othersDesc;
    }

    public String getOthersDesc() {
        return othersDesc;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public static class PictureItem {
        private String listCode;

        private String listName;

        private String url;

        public String getListCode() {
            return listCode;
        }

        public void setListCode(String listCode) {
            this.listCode = listCode;
        }

        public String getListName() {
            return listName;
        }

        public void setListName(String listName) {
            this.listName = listName;
        }

        public String getUrl() {
            return url;
        }

        public void setUrl(String url) {
            this.url = url;
        }
    }
}
