package com.demo.wjj.bo;

import com.alibaba.fastjson.JSON;

import java.util.Date;

/**
 * 置换列表
 * @author wangqing
 * @date 2018.11.15
 */
public class DisplaceListBo {

    /**
     * 品牌
     */
    private String brand;

    /**
     * 型号DisplaceListBo
     */
    private String model;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 出厂年份
     */
    private String yearMonth;

    /**
     * 使用小时数
     */
    private String hours;

    /**
     * 置换id
     */
    private String displaceId;

    /**
     * id
     */
    private String id;

    /**
     * 围观次数
     */
    private String lookTimes;

    /**
     * 报价次数
     */
    private String offerTimes;

    /**
     * 审核状态
     */
    private String auditStatus;

    /**
     * 图片地址
     */
    private String picUrl;

    /**
     * 当前价格（最高报价或起拍价）
     */
    private String currentPrice;

    /**
     *
     * 协议类型
     *
     * */
    private String upType;

    /**
     * 是否看现场
     *
     * */
    private Integer isKxc;

    /**
    报价开始时间
     */
    private Date startTime;

    /**
    报价结束时间
     */
    private Date endTime;

    /**
    * 报价/总数
    **/
    private DisplaceListNumBo displaceListNumBo;

    /**
     * 是否精品机
     */
    private String is_good;//1-普通2-精品

    /**
     * 是否暂存
     */
    private String storage;//1-完成；2-暂存

    private int min_price;

    private int max_price;

    private int persist_price;

    public int getMin_price() {
        return min_price;
    }

    public void setMin_price(int min_price) {
        this.min_price = min_price;
    }

    public int getMax_price() {
        return max_price;
    }

    public void setMax_price(int max_price) {
        this.max_price = max_price;
    }

    public int getPersist_price() {
        return persist_price;
    }

    public void setPersist_price(int persist_price) {
        this.persist_price = persist_price;
    }

    public String getIs_good() {
        return is_good;
    }

    public String getStorage() {
        return storage;
    }

    public void setIs_good(String is_good) {
        this.is_good = is_good;
    }

    public void setStorage(String storage) {
        this.storage = storage;
    }

    public DisplaceListNumBo getDisplaceListNumBo() {
        return displaceListNumBo;
    }

    public void setDisplaceListNumBo(DisplaceListNumBo displaceListNumBo) {
        this.displaceListNumBo = displaceListNumBo;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getUpType() {
        return upType;
    }

    public void setUpType(String upType) {
        this.upType = upType;
    }

    public Integer getIsKxc() {
        return isKxc;
    }

    public void setIsKxc(Integer isKxc) {
        this.isKxc = isKxc;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getYearMonth() {
        return yearMonth;
    }

    public void setYearMonth(String yearMonth) {
        this.yearMonth = yearMonth;
    }

    public String getHours() {
        return hours;
    }

    public void setHours(String hours) {
        this.hours = hours;
    }

    public String getDisplaceId() {
        return displaceId;
    }

    public void setDisplaceId(String displaceId) {
        this.displaceId = displaceId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLookTimes() {
        return lookTimes;
    }

    public void setLookTimes(String lookTimes) {
        this.lookTimes = lookTimes;
    }

    public String getOfferTimes() {
        return offerTimes;
    }

    public void setOfferTimes(String offerTimes) {
        this.offerTimes = offerTimes;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getPicUrl() {
        return picUrl;
    }

    public void setPicUrl(String picUrl) {
        this.picUrl = picUrl;
    }

    public String getCurrentPrice() {
        return currentPrice;
    }

    public void setCurrentPrice(String currentPrice) {
        this.currentPrice = currentPrice;
    }

}
