package com.demo.wjj.mapper;

import com.demo.wjj.po.AttrContent;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 属性内容
 * @author wangqing
 * @date 2018.11.11
 */
public interface AttrContentMapper {

    /**
     * 插入属性内容
     * @param attrContentList 属性内容集合
     * @return 影响记录数
     */
    int insertList(@Param("attrContentList") List<AttrContent> attrContentList);

    /**
     * 更新属性内容为删除
     * @param displaceId 置换id
     * @return 影响记录数
     */
    int updateAttrContentsDelete(String displaceId);

    /**
     * 查询属性内容集合
     * @param displaceIdList 置换id
     * @return 属性内容集合
     */
    List<AttrContent> selectAttrContentList(@Param("displaceIdList") List<String> displaceIdList);
}
