package com.demo.wjj.mapper;

import com.demo.wjj.po.Authentication;
import org.apache.ibatis.annotations.Param;


public interface AuthenticationMapper {
    /**
     * 插入车商认证信息
     * @param authentication
     * @return
     */
    boolean insert(Authentication authentication);



    /**
     * 查询审核列表
     * @param id 标识符
     * @return
     */
    Authentication selectById(String id);

    /**
     * 查询审核列表
     * @param userId
     * @return
     */
    Authentication selectByUserId(String userId);

    /**
     * 删除审核列表
     * @param userId
     * @return
     */
    int delete(String userId);

}
