package com.demo.wjj.mapper;

import com.demo.wjj.po.DisplaceOfferUser;
import org.apache.ibatis.annotations.Param;

/**
 * @author wangqing
 * @date 2018.11.25
 */
public interface DisplaceOfferUserMapper {

    /**
     * 插入置换报价用户信息
     * @param displaceOfferUser 置换报价用户信息
     * @return 影响记录数
     */
    int insert(DisplaceOfferUser displaceOfferUser);

    /**
     * 查询最后一次置换报价信息
     * @param displaceId 置换id
     * @param diggerAgentId 车商id
     * @return 最后一次置换报价信息
     */
    DisplaceOfferUser selectLastOfferUser(@Param("displaceId") String displaceId, @Param("diggerAgentId") String diggerAgentId);
}
