package com.demo.wjj.mapper;

import com.demo.wjj.bo.ImgListBo;
import com.demo.wjj.po.ImgList;

import java.util.List;

/**
 * 图片目录
 * @author wangqing
 * @date 2018.11.12
 */
public interface ImgListMapper {

    /**
     * 查询手机端置换列表
     * @return 手机端置换列表
     */
    List<ImgList> selectMobileDisplaceList();

    /**
     * 查询全部置换图片列表
     * @return 置换图片列表
     */
    List<ImgList> selectAllDisplaceList();

    /**
     * 根据大分类id获取小分类列表
     * @param listOrder
     * @return
     */
    List<ImgListBo> getMobileImgList(Integer listOrder);
}
