package com.demo.wjj.mapper;

import com.demo.wjj.po.IntegralRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 礼品兑换
 */
public interface IntegralRecordMapper {
    /**
     * 插入礼品兑换记录
     * @param integralRecord 礼品兑换信息
     * @return
     */
    int insert (IntegralRecord integralRecord);

    /**
     *通过车商Id查询单个礼品记录
     * @param userId 车商id
     * @return
     */
    List<IntegralRecord> selectById(String userId);

    /**
     * 统计兑换数量
     * @param userId
     * @param presentId
     * @return
     */
    int selectCounts(@Param("userId") String userId, @Param("presentId") String presentId);



}
