package com.demo.wjj.mapper;

import com.demo.wjj.po.Region;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author wangqing
 * @date 2018.11.08
 */
public interface RegionMapper {

    /**
     * 查询区域
     * @param regionType 区域类型
     * @param parentId 父级区域id
     * @return 区域集合
     */
    List<Region> selectRegion(@Param("regionType") int regionType, @Param("parentId") Integer parentId);

    /**
     * 查询区域集合
     * @param ids 区域id
     * @return 区域集合
     */
    List<Region> selectRegionList(@Param("ids") List<Integer> ids);
}
