package com.demo.wjj.mapper;

import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * @author wangqing
 * @date 2018.12.01
 */
public interface TokenManageMapper {

    /**
     * 查询有效token
     * @param appId appId
     * @param now 当前时间
     * @return token
     */
    String selectAccessToken(@Param("appId") String appId, @Param("now") Date now);

    /**
     * 插入token
     * @param appId appId
     * @param accessToken token
     * @param now 当前时间
     * @return 影响记录数
     */
    int insertAccessToken(@Param("appId") String appId, @Param("accessToken") String accessToken, @Param("now") Date now);
}
