package com.demo.wjj.mapper;

import com.demo.wjj.po.UserInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UserInfoMapper {
    List<UserInfo> getUserInfoByAgent(@Param("status") String status, @Param("agentId") String agentId);
    UserInfo getUserInfoByAgentAndOpenId(@Param("status") String status, @Param("agentId") String agentId, @Param("openId") String openId);

    UserInfo getUserInfoBySaleId(@Param("agentId") String agentId, @Param("openId") String openId);

    UserInfo selectUserInfo(@Param("idcard") String idcard, @Param("status") String status);

    UserInfo selectUserInfoByIdCard(@Param("idcard") String idcard);

    int updateUserInfo(String openId, String accountNo, String idCard, String mobile, String name);
//    int instertUser(String name,String sex,String idcard,String birthday,String province,String city,String prefecture,String area,String addrCode,String accountNo,String mobile,String bank,String cardName,String cardType);
    int instertUser(UserInfo userInfo);
    int deleteUserInfo(String idCard);


    int updateCallback(@Param("status") String status, @Param("idcard") String id);

    List<UserInfo> getUserVerification(@Param("idcard") String status);

}
