package com.demo.wjj.po;

/**
 * 商家
 *
 * @author wangqing
 * @date 2018.11.11
 */
public class Agent extends BasePo {

    /**
     * id
     */
    private String id;

    /**
     * 集团名称
     */
    private String groupName;

    /**
     * 分店名称
     */
    private String outletName;

    /**
     * 集团id
     */
    private String groupId;

    /**
     * 分店id
     */
    private String outletId;

    private String saleNum;

    public String getSaleNum() {
        return saleNum;
    }

    public void setSaleNum(String saleNum) {
        this.saleNum = saleNum;
    }

    /**
     * 公众号名称
     */
    private String pubName;

    /**
     * 分享标题
     */
    private String shareTitle;

    /**
     * 分享副标题
     */
    private String shareContent;

    /**
     * 商家logo
     */
    private String agentLogo;

    /**
     * 商家id
     */
    private String agentId;

    /**
     * 商家名称
     */
    private String agentName;

    /**
     * 身份绑定连接
     */
    private String cardLink;

    /**
     * 上传设备连接
     */
    private String deviceLink;

    /**
     * 手机报价连接
     */
    private String priceLink;

    /**
     * 平台参与
     */
    private String isAttent;

    /**
     * 微信apiId
     */
    private String appId;

    /**
     * 微信秘钥
     */
    private String appSecret;

    /**
     * 微信商家Id
     */
    private String mchId;

    /**
     * 保证金（分）
     */
    private Integer deposit;

    /**
     * 商家appId
     */
    private String mchAppId;

    /**
     * 商家appSecret
     */
    private String mchAppSecret;

    /**
     * 小程序appId
     */
    private String xcxAppId;

    /**
     * 商家类型
     */
    private String agentType;
    /**
     * 积分权限
     */
    private Integer integ;

    private String agentRule;

    public String getAgentRule() {
        return agentRule;
    }

    public void setAgentRule(String agentRule) {
        this.agentRule = agentRule;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getOutletName() {
        return outletName;
    }

    public void setOutletName(String outletName) {
        this.outletName = outletName;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getOutletId() {
        return outletId;
    }

    public void setOutletId(String outletId) {
        this.outletId = outletId;
    }

    public String getPubName() {
        return pubName;
    }

    public void setPubName(String pubName) {
        this.pubName = pubName;
    }

    public String getShareTitle() {
        return shareTitle;
    }

    public void setShareTitle(String shareTitle) {
        this.shareTitle = shareTitle;
    }

    public String getAgentLogo() {
        return agentLogo;
    }

    public void setAgentLogo(String agentLogo) {
        this.agentLogo = agentLogo;
    }

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getCardLink() {
        return cardLink;
    }

    public void setCardLink(String cardLink) {
        this.cardLink = cardLink;
    }

    public String getDeviceLink() {
        return deviceLink;
    }

    public void setDeviceLink(String deviceLink) {
        this.deviceLink = deviceLink;
    }

    public String getPriceLink() {
        return priceLink;
    }

    public void setPriceLink(String priceLink) {
        this.priceLink = priceLink;
    }

    public String getIsAttent() {
        return isAttent;
    }

    public void setIsAttent(String isAttent) {
        this.isAttent = isAttent;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public String getMchId() {
        return mchId;
    }

    public void setMchId(String mchId) {
        this.mchId = mchId;
    }

    public Integer getDeposit() {
        return deposit;
    }

    public void setDeposit(Integer deposit) {
        this.deposit = deposit;
    }

    public String getMchAppId() {
        return mchAppId;
    }

    public void setMchAppId(String mchAppId) {
        this.mchAppId = mchAppId;
    }

    public String getMchAppSecret() {
        return mchAppSecret;
    }

    public void setMchAppSecret(String mchAppSecret) {
        this.mchAppSecret = mchAppSecret;
    }

    public String getXcxAppId() {
        return xcxAppId;
    }

    public void setXcxAppId(String xcxAppId) {
        this.xcxAppId = xcxAppId;
    }

    public String getAgentType() {
        return agentType;
    }

    public void setAgentType(String agentType) {
        this.agentType = agentType;
    }

    public String getShareContent() {
        return shareContent;
    }

    public void setShareContent(String shareContent) {
        this.shareContent = shareContent;
    }

    public Integer getInteg() {
        return integ;
    }

    public void setInteg(Integer integ) {
        this.integ = integ;
    }
}
