package com.demo.wjj.po;

import java.util.Date;

/**
 * 保证金
 * @author wangqing
 * @date 2018.11.19
 */
public class Deposit {

    private String id;

    /**
     * 车商id
     */
    private String daId;

    /**
     * 商家名称
     */
    private String agentName;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 微信支付单号
     */
    private String wxPayNo;

    /**
     * 支付金额
     */
    private Double payAmout;

    /**
     * 支付状态
     */
    private String payStatus;

    /**
     * 支付创建时间
     */
    private Date payCreatetime;

    /**
     * 退款单号
     */
    private String refundNo;

    /**
     * 退款创建时间
     */
    private Date refundCreateTime;

    /**
     * 是否通票
     */
    private String isCommon;

    /**
     * 商家id
     */
    private String agentId;

    /**
     * 订单编号
     */
    private String agentPayNo;
    /**
     * icegan--新增，用户类型：1，车商；2，销售员
     */
    private Integer userType=1;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDaId() {
        return daId;
    }

    public void setDaId(String daId) {
        this.daId = daId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getWxPayNo() {
        return wxPayNo;
    }

    public void setWxPayNo(String wxPayNo) {
        this.wxPayNo = wxPayNo;
    }

    public Double getPayAmout() {
        return payAmout;
    }

    public void setPayAmout(Double payAmout) {
        this.payAmout = payAmout;
    }

    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public Date getPayCreatetime() {
        return payCreatetime;
    }

    public void setPayCreatetime(Date payCreatetime) {
        this.payCreatetime = payCreatetime;
    }

    public String getRefundNo() {
        return refundNo;
    }

    public void setRefundNo(String refundNo) {
        this.refundNo = refundNo;
    }

    public Date getRefundCreateTime() {
        return refundCreateTime;
    }

    public void setRefundCreateTime(Date refundCreateTime) {
        this.refundCreateTime = refundCreateTime;
    }

    public String getIsCommon() {
        return isCommon;
    }

    public void setIsCommon(String isCommon) {
        this.isCommon = isCommon;
    }

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public String getAgentPayNo() {
        return agentPayNo;
    }

    public void setAgentPayNo(String agentPayNo) {
        this.agentPayNo = agentPayNo;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }
}
