package com.demo.wjj.po;

import java.util.Date;

/**
 * 车商
 * @author wangqing
 * @date 2018.11.10
 */
public class DiggerAgent extends BasePo {

    /**
     * 注册状态 - 绑定
     */
    public static final String REGISTER_STATUS_BINDED = "1";

    /**
     * 注册状态 - 未绑定
     */
    public static final String REGISTER_STAUTS_UNBINDING = "0";

    /**
     * 商家操作 - 显示
     */
    public static final String AGENT_OPERATE_SHOW = "1";

    /**
     * 商家操作 - 关闭
     */
    public static final String AGENT_OPERATE_CLOSE = "0";

    /**
     * id
     */
    private String id;

    /**
     * 车商id
     */
    private String daId;

    /**
     * 姓名
     */
    private String daName;

    /**
     * 手机号
     */
    private String daPhone;

    /**
     * 微信昵称
     */
    private String daWxnc;

    /**
     * 微信号
     */
    private String daWxh;

    /**
     * 公众号加入渠道
     */
    private String daGzhChannel;

    /**
     * 微信注册省份
     */
    private String daWxProvince;

    /**
     * 关注的品牌名称
     */
    private String focusBrandNames;

    /**
     * 关注的品牌id
     */
    private String focusBrandIds;

    /**
     * 保证金（万）
     */
    private Double deposit;

    /**
     * 多台报价权限状态
     */
    private String mutiOfferStatus;

    /**
     * 商家通票设置
     */
    private String agentTpSet;

    /**
     * 平台通票设置
     */
    private String platTpSet;

    /**
     * 微信OpenId
     */
    private String wxOpenId;

    /**
     * 商家id
     */
    private String agentId;

    /**
     * 注册状态
     */
    private String registerStatus;
    /**
     * 积分
     */
    private Integer integral;
    /**
     * 会员等级
     */
    private Integer memberLevel;
    /**
     * 认证审核状态
     */
    private Integer state;


    /**
     * 注册时间
     */
    private Date registeDate;

    public Date getRegisteDate() {
        return registeDate;
    }

    public void setRegisteDate(Date registeDate) {
        this.registeDate = registeDate;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDaId() {
        return daId;
    }

    public void setDaId(String daId) {
        this.daId = daId;
    }

    public String getDaName() {
        return daName;
    }

    public void setDaName(String daName) {
        this.daName = daName;
    }

    public String getDaPhone() {
        return daPhone;
    }

    public void setDaPhone(String daPhone) {
        this.daPhone = daPhone;
    }

    public String getDaWxnc() {
        return daWxnc;
    }

    public void setDaWxnc(String daWxnc) {
        this.daWxnc = daWxnc;
    }

    public String getDaWxh() {
        return daWxh;
    }

    public void setDaWxh(String daWxh) {
        this.daWxh = daWxh;
    }

    public String getDaGzhChannel() {
        return daGzhChannel;
    }

    public void setDaGzhChannel(String daGzhChannel) {
        this.daGzhChannel = daGzhChannel;
    }

    public String getDaWxProvince() {
        return daWxProvince;
    }

    public void setDaWxProvince(String daWxProvince) {
        this.daWxProvince = daWxProvince;
    }

    public String getFocusBrandNames() {
        return focusBrandNames;
    }

    public void setFocusBrandNames(String focusBrandNames) {
        this.focusBrandNames = focusBrandNames;
    }

    public String getFocusBrandIds() {
        return focusBrandIds;
    }

    public void setFocusBrandIds(String focusBrandIds) {
        this.focusBrandIds = focusBrandIds;
    }

    public Double getDeposit() {
        return deposit;
    }

    public void setDeposit(Double deposit) {
        this.deposit = deposit;
    }

    public String getMutiOfferStatus() {
        return mutiOfferStatus;
    }

    public void setMutiOfferStatus(String mutiOfferStatus) {
        this.mutiOfferStatus = mutiOfferStatus;
    }

    public String getAgentTpSet() {
        return agentTpSet;
    }

    public void setAgentTpSet(String agentTpSet) {
        this.agentTpSet = agentTpSet;
    }

    public String getPlatTpSet() {
        return platTpSet;
    }

    public void setPlatTpSet(String platTpSet) {
        this.platTpSet = platTpSet;
    }

    public String getWxOpenId() {
        return wxOpenId;
    }

    public void setWxOpenId(String wxOpenId) {
        this.wxOpenId = wxOpenId;
    }

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public String getRegisterStatus() {
        return registerStatus;
    }

    public void setRegisterStatus(String registerStatus) {
        this.registerStatus = registerStatus;
    }

    public Integer getIntegral() {
        return integral;
    }

    public void setIntegral(Integer integral) {
        this.integral = integral;
    }

    public Integer getMemberLevel() {
        return memberLevel;
    }

    public void setMemberLevel(Integer memberLevel) {
        this.memberLevel = memberLevel;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }
}
