package com.demo.wjj.po;

import java.util.Date;

/**
 * 置换审核
 * @author wangqing
 * @date 2018.11.11
 */
public class DisplaceAudit extends BasePo {

    /**
     * 审核状态 - 已审核
     */
    public static final String AUDIT_STATUS_DONE = "1";

    /**
     * 审核状态 - 待审核
     */
    public static final String AUDIT_STATUS_UNDO = "0";

    /**
     * 审核状态 - 已审核 待上架
     */
    public static final String AUDIT_STATUS_UNGROUND = "4";

    /**
     * 审核状态 - 已审核 已上架
     */
    public static final String AUDIT_STATUS_ROUND = "1";

    /**
     * 记录是否显示 - 是
     */
    public static final String STATE_SHOW = "1";

    /**
     * 记录是否显示 - 否
     */
    public static final String STATE_HIDDEN = "0";

    /**
     * id
     */
    private String id;

    /**
     * 商家id
     */
    private String agentId;

    /**
     * 商家名称
     */
    private String agentName;

    /**
     * 置换id
     */
    private String displaceId;

    /**
     * 理想价位
     */
    private String ideaPrice;

    /**
     * 发布时间
     */
    private Date pubTime;

    /**
     * 审核时间
     */
    private Date auditTime;

    /**
     * 提报人联系方式
     */
    private String joumalistTel;

    /**
     * 提报人姓名
     */
    private String joumalistName;

    /**
     * 审核状态
     */
    private String auditStatus;

    /**
     * 记录是否显示
     */
    private String state;

    /**
     * 销售员id
     */
    private String saleId;

    /**
     * 其他说明
     */
    private String othersDesc;

    /**
     * 报价开始时间
     */
    private Date startTime;

    /**
     * 报价结束时间
     */
    private Date endTime;

    /**
     * 延时
     */
    private int timeDelay;

    /**
     * 起拍价
     */
    private Integer minMoney;

    /**
     * 第一张设备图片地址
     */
    private String firstPicUrl;


    /**
     * 保留价
     * @return
     */

    private Integer persist_price;

    /**
     * 是否精品机
     */
    private String is_good;//1-普通2-精品

    /**
     * 是否暂存
     */
    private String storage;//1-完成；2-暂存

    private int bill;

    private String upType;

    private String ids;

    private String ifDeposit;

    public String getIfDeposit() {
        return ifDeposit;
    }

    public void setIfDeposit(String ifDeposit) {
        this.ifDeposit = ifDeposit;
    }

    public String getIds() {
        return ids;
    }

    public void setIds(String ids) {
        this.ids = ids;
    }

    public String getUpType() {
        return upType;
    }

    public void setUpType(String upType) {
        this.upType = upType;
    }

    public String getIs_good() {
        return is_good;
    }

    public String getStorage() {
        return storage;
    }

    public void setIs_good(String is_good) {
        this.is_good = is_good;
    }

    public void setStorage(String storage) {
        this.storage = storage;
    }

    public int getBill() {
        return bill;
    }

    public void setBill(int bill) {
        this.bill = bill;
    }

    public void setPersist_price(Integer persist_price) {
        this.persist_price = persist_price;
    }
    public Integer getPersist_price() {
        return persist_price;
    }
    /*
    *
    * */

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getDisplaceId() {
        return displaceId;
    }

    public void setDisplaceId(String displaceId) {
        this.displaceId = displaceId;
    }

    public String getIdeaPrice() {
        return ideaPrice;
    }

    public void setIdeaPrice(String ideaPrice) {
        this.ideaPrice = ideaPrice;
    }

    public Date getPubTime() {
        return pubTime;
    }

    public void setPubTime(Date pubTime) {
        this.pubTime = pubTime;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public String getJoumalistTel() {
        return joumalistTel;
    }

    public void setJoumalistTel(String joumalistTel) {
        this.joumalistTel = joumalistTel;
    }

    public String getJoumalistName() {
        return joumalistName;
    }

    public void setJoumalistName(String joumalistName) {
        this.joumalistName = joumalistName;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getSaleId() {
        return saleId;
    }

    public void setSaleId(String saleId) {
        this.saleId = saleId;
    }

    public void setOthersDesc(String othersDesc) {
        this.othersDesc = othersDesc;
    }

    public String getOthersDesc() {
        return othersDesc;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public int getTimeDelay() {
        return timeDelay;
    }

    public void setTimeDelay(int timeDelay) {
        this.timeDelay = timeDelay;
    }

    public Integer getMinMoney() {
        return minMoney;
    }

    public void setMinMoney(Integer minMoney) {
        this.minMoney = minMoney;
    }

    public String getFirstPicUrl() {
        return firstPicUrl;
    }

    public void setFirstPicUrl(String firstPicUrl) {
        this.firstPicUrl = firstPicUrl;
    }
}
