package com.demo.wjj.po;

import java.util.Date;

/**
 * @author wangqing
 * @date 2018.11.19
 */
public class OfferDetail extends BasePo {

    /**
     * 报价来源 - 商家公众号
     */
    public static final Integer SOURCE_AGENT = 1;

    /**
     * 报价来源 - 微工程公众号
     */
    public static final Integer SOURCE_WGC = 2;

    /**
     * id
     */
    private String id;

    /**
     * 报价id
     */
    private String offerId;

    /**
     * 报价
     */
    private Double price;

    /**
     * 是否要看现场
     */
    private String isKxc;

    /**
     * 报价时间
     */
    private Date offerTime;

    /**
     * 报价人
     */
    private String offerName;

    /**
     * 电话
     */
    private String offerPhone;

    /**
     * 报价人昵称
     */
    private String offerNc;

    /**
     * 微信昵称
     */
    private String offerWxnc;

    /**
     * 保证金
     */
    private Double deposit;

    /**
     * 车商id
     */
    private String daId;

    /**
     * 是否推送
     */
    private String isPush;

    /**
     * 推送内容
     */
    private String pushContent;

    /**
     * 是否失利推送
     */
    private String isSlPush;

    /**
     * 失利推送内容
     */
    private String pushSlContent;

    /**
     * 订单编号
     */
    private String orderNo;

    /**
     * 报价时间
     */
    private String offerTimeStr;

    /**
     * 报价来源
     */
    private Integer source;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOfferId() {
        return offerId;
    }

    public void setOfferId(String offerId) {
        this.offerId = offerId;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public String getIsKxc() {
        return isKxc;
    }

    public void setIsKxc(String isKxc) {
        this.isKxc = isKxc;
    }

    public Date getOfferTime() {
        return offerTime;
    }

    public void setOfferTime(Date offerTime) {
        this.offerTime = offerTime;
    }

    public String getOfferName() {
        return offerName;
    }

    public void setOfferName(String offerName) {
        this.offerName = offerName;
    }

    public String getOfferPhone() {
        return offerPhone;
    }

    public void setOfferPhone(String offerPhone) {
        this.offerPhone = offerPhone;
    }

    public String getOfferNc() {
        return offerNc;
    }

    public void setOfferNc(String offerNc) {
        this.offerNc = offerNc;
    }

    public String getOfferWxnc() {
        return offerWxnc;
    }

    public void setOfferWxnc(String offerWxnc) {
        this.offerWxnc = offerWxnc;
    }

    public Double getDeposit() {
        return deposit;
    }

    public void setDeposit(Double deposit) {
        this.deposit = deposit;
    }

    public String getDaId() {
        return daId;
    }

    public void setDaId(String daId) {
        this.daId = daId;
    }

    public String getIsPush() {
        return isPush;
    }

    public void setIsPush(String isPush) {
        this.isPush = isPush;
    }

    public String getPushContent() {
        return pushContent;
    }

    public void setPushContent(String pushContent) {
        this.pushContent = pushContent;
    }

    public String getIsSlPush() {
        return isSlPush;
    }

    public void setIsSlPush(String isSlPush) {
        this.isSlPush = isSlPush;
    }

    public String getPushSlContent() {
        return pushSlContent;
    }

    public void setPushSlContent(String pushSlContent) {
        this.pushSlContent = pushSlContent;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public String getOfferTimeStr() {
        return offerTimeStr;
    }

    public void setOfferTimeStr(String offerTimeStr) {
        this.offerTimeStr = offerTimeStr;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }
}

