package com.demo.wjj.po;

import com.alibaba.fastjson.JSON;

import java.util.Date;

/**
 * 微信第三方平台授权方信息
 * <p>
 *
 * @author wangqing
 * @date 2019/02/03
 */
public class WeiXinPlatformAuthorization {

    /**
     * id
     */
    private Integer id;

    /**
     * 第三方平台appId
     */
    private String appId;

    /**
     * 授权方appId
     */
    private String authorizationAppId;

    /**
     * 接口调用令牌
     */
    private String accessToken;

    /**
     * 接口刷新令牌
     */
    private String refreshToken;

    /**
     * 请求第三方平台授权信息
     */
    private String jsonStr;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date modifyTime;

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAuthorizationAppId() {
        return authorizationAppId;
    }

    public void setAuthorizationAppId(String authorizationAppId) {
        this.authorizationAppId = authorizationAppId;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getRefreshToken() {
        return refreshToken;
    }

    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    public String getJsonStr() {
        return jsonStr;
    }

    public void setJsonStr(String jsonStr) {
        this.jsonStr = jsonStr;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }
}
