package com.demo.wjj.service;

import com.demo.wjj.po.IntegralRecord;

import java.util.List;

/**
 * 礼品交易记录
 * @author WYD
 * @date 2019.06.13
 */
public interface IntegralRecordService {
    /**
     * 保存礼品交易记录
     * @param integralRecord 礼品记录
     * @return
     */
    boolean save(IntegralRecord integralRecord);
    /**
     * 查询礼品兑换记录
     */
    List<IntegralRecord> select(String userId);
    /**
     * 查询兑换记录数量
     * @param userId
     * @param presentId
     * @return
     */
    int selectCounts(String userId,String presentId);
}
