package com.demo.wjj.service;

import com.demo.wjj.bo.WeiXinUserBo;
import com.demo.wjj.utils.ExecuteResult;

/**
 * 微信openId
 * @author wangqing
 * @date 2018.11.16
 */
public interface OpenIdService {

    /**
     * 获取微信openId
     *
     * @param agentId 商家id
     * @param code 授权code
     * @return 微信openId
     */
    ExecuteResult<WeiXinUserBo> getOpenId(String agentId, String code);

    /**
     * 获取支付openId
     * @param agentId 商家id
     * @param code 授权code
     * @return 微信openId
     */
    ExecuteResult<WeiXinUserBo> getPayOpenId(String agentId, String code);
}
