package com.demo.wjj.service;

import com.demo.wjj.bo.CreateOrderBo;
import com.demo.wjj.bo.CreateOrderResult;
import com.demo.wjj.utils.ExecuteResult;

public interface PayforPrensentService {

    /**
     * 创建订单
     * @param createOrderBo 创建订单
     * @return 创建订单结果
     */
    ExecuteResult<CreateOrderResult> createOrder(CreateOrderBo createOrderBo,String code);

    /**
     * 支付回调
     * @param xmlStr 回调xml
     */
    String payCallback(String xmlStr);
}
