package com.demo.wjj.service;

import com.demo.wjj.po.WeiXinTicket;

import java.util.List;

/**
 * 微信第三方平台回调票据
 * <p>
 *     微信第三方平台回调票据
 *
 * @author wangqing
 * @date 2019/02/03
 */
public interface WeiXinTicketService {

    /**
     * 保存微信回调票据
     * @param weiXinTicket 回调票据
     * @return 保存是否成功
     */
    boolean save(WeiXinTicket weiXinTicket);

    /**
     * 获取票据列表
     * @return 票据列表
     */
    List<WeiXinTicket> getTicketList();
}
