package com.demo.wjj.service.impl;

import com.demo.wjj.mapper.CreditsExchangeMapper;
import com.demo.wjj.po.CreditsExchange;
import com.demo.wjj.service.CreditsExchangeService;
import com.demo.wjj.utils.ReadOnlyTransactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
public class CreditsExchangeServiceImpl implements CreditsExchangeService {
    private final Logger LOG = LoggerFactory.getLogger(getClass());
    @Autowired
    CreditsExchangeMapper creditsExchangeMapper;
    @Override
    @ReadOnlyTransactional
    public CreditsExchange selectByUserId(String userId) {
        LOG.info("进入获取积分规则数据");
        CreditsExchange creditsExchange = creditsExchangeMapper.selectByUserId(userId);
        LOG.info("退出获取积分规则数据");
        return creditsExchange;
    }
}
