package com.demo.wjj.utils;

import com.alibaba.fastjson.JSON;

/**
 * @author wangqing
 * @date 2018.11.10
 */
public class ExecuteResult<T> {

    /**
     * 执行结果
     */
    private boolean executeResult;

    /**
     * 结果
     */
    private Result result;

    /**
     * 数据
     */
    private T data;

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

    public boolean isExecuteResult() {
        return executeResult;
    }

    public ExecuteResult<T> setExecuteResult(boolean executeResult) {
        this.executeResult = executeResult;
        return this;
    }

    public Result getResult() {
        return result;
    }

    public ExecuteResult<T> setResult(Result result) {
        this.result = result;
        return this;
    }

    public T getData() {
        return data;
    }

    public ExecuteResult<T> setData(T data) {
        this.data = data;
        return this;
    }
}
