package com.demo.wjj.utils;

import org.apache.commons.lang3.StringUtils;

import java.util.regex.Pattern;

/**
 * @author wangqing
 * @date 2018.11.10
 */
public class PatternUtils {

    public static final Pattern MOBILE = Pattern.compile("1\\d{10}");

    /**
     * 是否手机号
     * @param mobile 手机号
     * @return 是否手机号
     */
    public static boolean isMobile(String mobile) {
        if (StringUtils.isBlank(mobile)) {
            return false;
        }

        return MOBILE.matcher(mobile).matches();
    }
}
