package com.demo.wjj.utils;

/**
 * 结果
 * @author wangqing
 * @date 2018.11.07
 */
public enum Result {


    SUCCESS(1, "成功"),
    Failure(0, "失败"),
    CODE_ERROR(1001, "验证码错误"),
    PHONE_BINDED(1002, "手机号已绑定"),
    WEIXIN_REGISTER(1003, "微信号已注册"),
    NO_AUTHORITY(1004, "没有操作权限"),
    OFFER_OVER(1005, "报价已结束"),
    DEPOSIT_PAy_FAILURE(1006, "保证金支付失败"),
    OFFER_PRICE_ERROR(1007, "报价低于起拍价"),
    DIGGER_NO_PAY_DEPOSIT(1008, "该车商不需要支付保证金"),
    OFFER_SAME(1009, "该报价已存在")
    ;

    Result(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    private Integer code;

    private String message;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
