package com.demo.wjj.service;

import com.demo.wjj.po.Brand;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

import static org.junit.Assert.*;

/**
 * @author wangqing
 * @date 2018.11.10
 */
public class BrandServiceTest extends BaseTest {

    @Autowired
    private BrandService brandService;

    @Transactional
    @Test
    public void queryBrandList() {
        List<Brand> brands = brandService.queryBrandList();
        assertNotNull(brands);
        assertSame(5, brands.size());
        assertEquals("斗山", brands.get(0).getName());
        assertSame(1, brands.get(0).getId());
        assertEquals("小松", brands.get(1).getName());
        assertEquals("日立", brands.get(2).getName());
        assertEquals("神钢", brands.get(3).getName());
        assertEquals("三一", brands.get(4).getName());
    }
}