package com.demo.wjj.service;

import com.demo.wjj.po.ImgList;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

import static org.junit.Assert.*;

/**
 * @author wangqing
 * @date 2018.11.12
 */
public class ImgListServiceTest extends BaseTest {

    @Autowired
    private ImgListService imgListService;

    @Test
    public void queryMobileDisplaceList() {

        List<ImgList> imgLists = imgListService.queryMobileDisplaceList();
        assertNotNull(imgLists);
        assertSame(5, imgLists.size());
        assertEquals("big_small_connection", imgLists.get(2).getListCode());
        assertEquals("大小臂连接+小臂油缸全景", imgLists.get(2).getListName());
    }
}