package com.demo.wjj.service;

import com.demo.wjj.bo.QiNiuUploadResult;
import org.apache.commons.lang3.StringUtils;
import org.junit.Ignore;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.io.*;

import static org.junit.Assert.*;

/**
 * @author wangqing
 * @date 2018.11.14
 */
public class QiNiuServiceTest extends BaseTest {

    @Autowired
    private QiNiuService qiNiuService;

    @Ignore
    @Test
    public void getToken() {
        StringUtils.isNoneBlank(qiNiuService.getToken());
    }

    @Ignore
    @Test
    public void getUrl() {
        StringUtils.isNoneBlank(qiNiuService.getUrl("a.jpg"));
    }

    @Test
    public void upload() throws IOException {
        InputStream inputStream = new FileInputStream(new File("d:/demo.png"));
        final QiNiuUploadResult result = qiNiuService.upload(inputStream);
        inputStream.close();
        System.out.println(result);
    }
}