package com.demo.wjj.service.impl;

import com.demo.wjj.bo.DiggerOfferSaveBo;
import com.demo.wjj.service.BaseTest;
import com.demo.wjj.service.OfferService;
import org.junit.Ignore;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.annotation.Commit;
import org.springframework.test.annotation.Rollback;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author wangqing
 * @date 2018.11.18
 */
public class OfferServiceImplTest extends BaseTest {

    @Autowired
    private OfferService offerService;

    @Ignore
    @Test
    public void queryDiggerPayOffer() {

        String agentId = "XJY00";
        String openId = "oEbPV1AOEyqJexIo1GaeMlbx3HrA";
        String displaceId = "ZH0026";

        offerService.queryDiggerPayOffer(agentId, openId, displaceId);
    }

    @Rollback
    @Transactional
    @Test
    public void save() {
        DiggerOfferSaveBo diggerOfferSaveBo = new DiggerOfferSaveBo();
        diggerOfferSaveBo.setAgentId("XJY00");
        diggerOfferSaveBo.setDisplaceId("ZH0012");
        diggerOfferSaveBo.setOpenId("oEbPV1AOEyqJexIo1GaeMlbx3HrA");
        diggerOfferSaveBo.setPrice(32.5);
//        diggerOfferSaveBo.setOrderNo("aaabbb20181119233150CS00040678");
        diggerOfferSaveBo.setWatchLocate("1");

        offerService.save(diggerOfferSaveBo);
    }
}