package com.demo.wjj.service.impl;

import com.demo.wjj.bo.SaveDisplaceBo;
import com.demo.wjj.po.Agent;
import com.demo.wjj.po.Sale;
import com.demo.wjj.service.BaseTest;
import com.demo.wjj.service.WeiXinMessageService;
import org.junit.Before;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.annotation.Commit;
import org.springframework.transaction.annotation.Transactional;

import static org.junit.Assert.*;

/**
 * @author wangqing
 * @date 2018.11.24
 */
public class WeiXinMessageServiceImplTest extends BaseTest {

    @Autowired
    private WeiXinMessageService weiXinMessageService;

    private Agent agent;

    private Sale sale;

    private SaveDisplaceBo saveDisplaceBo;

    @Before
    public void setup() {
        agent = new Agent();
//        agent.setAppId("wx0ea8909959cf3122");
//        agent.setAppSecret("5511662e6d1e6b2a99bb5ae31aa85f2d");
        agent.setAppId("wx6af4ca6c083a5918");
        agent.setAppSecret("515bb52094b522fd958bee043b42a9ec");
        agent.setAgentId("jm123");

        sale = new Sale();
        sale.setSaleWxnc("美眉");
        saveDisplaceBo = new SaveDisplaceBo();
        saveDisplaceBo.setBrand("小松");
        saveDisplaceBo.setModel("R17");
        saveDisplaceBo.setDeviceType("挖掘机");
    }

    @Commit
    @Transactional
    @Test
    public void send() {
        final boolean send = weiXinMessageService.send(agent, sale, saveDisplaceBo);
        assertTrue(send);
    }
}